commit:     f875093aef75b80cae6d6de6ea7d14b2c0c6c4e9
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  9 15:03:28 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Dec  9 15:10:02 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f875093a

dev-python/pystache: Add python3.5 support

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/pystache/pystache-0.5.4.ebuild | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/dev-python/pystache/pystache-0.5.4.ebuild 
b/dev-python/pystache/pystache-0.5.4.ebuild
index b8a098f..138efcf 100644
--- a/dev-python/pystache/pystache-0.5.4.ebuild
+++ b/dev-python/pystache/pystache-0.5.4.ebuild
@@ -1,10 +1,11 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
 
-PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
+
 inherit distutils-r1
 
 DESCRIPTION="Mustache for Python"
@@ -22,7 +23,6 @@ DEPEND="${RDEPEND}
        test? ( dev-python/nose[${PYTHON_USEDEP}] )"
 
 python_test() {
-       pushd "${BUILD_DIR}"/lib > /dev/null
-       nosetests || die
-       popd > /dev/null
+       cd "${BUILD_DIR}"/lib || die
+       nosetests --verbose || die
 }

Reply via email to